
Foreman - Tracker #12944

application assets are too large

12/27/2015 04:21 AM - Ohad Levy

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

currently, my application.js is 3.9 MB

Please use this tracker to break down components, i would like to understand which components are too large and maybe not

required, or can be removed with some effort(for example jquery-ui).

Related issues:

Related to Foreman - Refactor #14318: Only load JS translation table for curr... Closed 03/22/2016

Blocked by Foreman - Refactor #15829: Update ace-rails-ap to 4.1.x Closed 07/25/2016

History

#1 - 12/30/2015 10:54 AM - Tomer Brisker

a large part of this is because of gettext_i18n_rails_js, which includes all the app/assets/javascripts/locale/* directory in application.js - a total of about

2.5M currently.

#2 - 03/22/2016 11:49 AM - Dominic Cleal

- Related to Refactor #14318: Only load JS translation table for current locale added

#3 - 03/22/2016 11:51 AM - Dominic Cleal

- Category set to Performance

#4 - 03/22/2016 11:51 AM - Ohad Levy

- Description updated

- Category deleted (Performance)

#5 - 07/25/2016 07:22 AM - Dominic Cleal

- Blocked by Refactor #15829: Update ace-rails-ap to 4.1.x added
